<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Цвет сообщений';
include_once '../sys/inc/thead.php';
title();





err();
aut();


if (isset($user) & $user['balls']<=1000)
{
if ($user['pol']==0){echo "Извини <b>красавица,</b> \n";} else {echo "<b>Извини братан,</b> \n";}
echo "но изменять цвет постов можно только после того как ты наберешь <b>1000</b> баллов<br/>У вас <b>$user[balls]</b> баллов\n";
}
else
{
if(isset($_POST['ncolor']))
{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-1000)."' WHERE `id` = '$user[id]' LIMIT 1");
if(preg_match("/[^a-z]+/",$_POST['ncolor'])) exit();
mysql_query("UPDATE `user` SET `ncolor` = '".$_POST['ncolor']."' WHERE `id` = '$user[id]' LIMIT 1");
$color = $_POST['ncolor'];
if (!isset($err))msg('Цвет сообщений успешно изменен');
}


if(!empty($ncolor))
{
echo "Текущий цвет <font color='".$ncolor."'><u>".$ncolor."</u></font><br/>\n";
}
echo "<font color='#FF0000'>ВНИМАНИЕ! С вас будет списано <b>1000</b> баллов</font><br/>\n";
echo '<div class="menu">';
echo "Выберите цвет:<br/>\n";
echo "<form action=\"ncolor.php?".SID."\" method=\"post\">\n";
echo '<select name="ncolor">
<option value="red" style="background-color: red; color: white;">красный</option>
<option value="brown" style="background-color: brown; color: white;">коричневый</option>
<option value="pink" style="background-color: pink; color: white;">розовый</option>
<option value="green" style="background-color: green; color: white;">зеленый</option>
<option value="lightgreen" style="background-color: lightgreen; color: white;">светло-зеленый</option>
<option value="#669999" style="background-color: #669999; color: white;">морской волны</option>
<option value="blue" style="background-color: blue; color: white;">синий</option>
<option value="deepskyblue" style="background-color: deepskyblue; color: white;">небесно-голубой</option>
<option value="blueviolet" style="background-color: blueviolet; color: white;">фиолетовый</option>
<option value="yellow" style="background-color: yellow; color: black;">желтый</option>
<option selected="selected" value="orange" style="background-color: orange; color: black;">оранжевый</option>
<option value="goldenrod" style="background-color: goldenrod; color: black;">золотой</option>
<option value="gray" style="background-color: gray; color: black;">темно-серый</option>
<option value="#CCCCCC" style="background-color: #CCCCCC; color: black;">светло-серый</option>
</select><br/>';
echo "<input type=\"submit\" value=\"Сохранить\" /></form>\n";
echo '</div>';
}

echo '<div class="main_menu">';
echo "<a href='/info.php?id=$user[id]'>Моя страничка</a><br />
 <a href='/settings.php?id=$user[id]'>Настройки страницы</a>";
echo "</div>\n";

include_once '../sys/inc/tfoot.php';
?>